\documentclass[9pt,t,serif,professionalfont,xcolor={table,dvipsnames}]{beamer}
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
% \PassOptionsToPackage{usenames,dvipsnames}{color}
\usepackage{usualjh}
\usepackage{presentation}
\usepackage{../stubs/tex/presentationfonts}

% \usepackage[standard-baselineskips]{ccfonts}
% \usepackage{eulervm}
% \usepackage{mathpazo}
% \usepackage[scaled]{couriers,helvet}

\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
\hypersetup{colorlinks=true,linkcolor=blue} 


% load the pdfanim style, should be done after hyperref
% \usepackage{pdfanim}

% load and initialise animation
% arguments:
%   \PDFAnimLoad[options]{name}{xxx}{number}
%   - options: in this example the animation is looped
%   - name: name of the animation
%     (with this name it can be reused several times in the document)
%   - number: number of animation frames / files (n)
% the animation will be composed of files
% xxx0.pdf, xxx1.pdf ... xxx(n-1).pdf


\title{}

\author{Jim Hef{}feron}
\institute{
  Mathematics and Statistics\\
  Saint Michael's College\\
  Colchester, VT\\[1ex]
  \texttt{jhefferon@smcvt.edu}
}
\date{}

% This is only inserted into the PDF information catalog.
\subject{}


% dot product
%  I like to use a slightly different circle for dot product, for
% a visual distinction.
%  The AtBeginDocument makes pdflatex happier
\AtBeginDocument{\newlength{\heightofcdot}
\newlength{\widthofcdot}
\settoheight{\heightofcdot}{$\cdot$}
\settowidth{\widthofcdot}{$\cdot$}
\newsavebox{\dotprodcircle}       
% 2012-Jan-06 JH \bullet too big: 
\savebox{\dotprodcircle}{\scalebox{0.55}{$\bullet$}}  
% 2012-Jan JH  mpost won't take the graphic
% \savebox{\dotprodcircle}{\includegraphics{dotprod.1}} 
\newcommand{\dotprod}{\mathbin{\raisebox{.25\heightofcdot}{%
          \makebox[\widthofcdot]{$\smash{\usebox{\dotprodcircle}}$}}}}}

% Show finite maps
\newenvironment{maparray}{\arraycolsep=2pt\def\arraystretch{1.2}
  \begin{pmatrix}
}{
  \end{pmatrix}
}

% Name of things being defined
\newcommand{\definend}[1]{\alert{#1}}


\begin{document}
\begin{frame}
  \titlepage
\end{frame}




\section{Symmetry}
% ------------------------------------------------------
\begin{frame}{Geometric symmetry}
These three exhibit left-right symmetry.
\begin{center}
\includegraphics[height=0.2\textheight]{Celticknotwork.png}\quad
\includegraphics[height=0.2\textheight]{taj.jpg}\quad
\includegraphics[height=0.2\textheight]{vitruvian.jpg}
\end{center}
For each, if you pick it up the figure, rigidly flip it, and put it down again,
then it will line up with its original position.
\end{frame}



\begin{frame}{Symmetries of the equilateral triangle}

\pause
\begin{center} \def\arraystretch{1.2}
\begin{tabular}{c|lcc}
%   \multicolumn{1}{r}{\textit{Send $a$-$b$-$c$ to}}
%    &\textit{Description} &\textit{Comment} \\ \hline
%   $a$-$b$-$c$ &Identity                  &\textcolor{red}{$e$}  \\
%   $b$-$c$-$a$ &Turn 1/3 clockwise        &\textcolor{OliveGreen}{$t$}  \\
%   $c$-$a$-$b$ &Turn 2/3 clockwise        &\textcolor{OliveGreen}{$t^2$}  \\
%   $a$-$c$-$b$ &Reflect east-west         &\textcolor{blue}{$f$}  \\
%   $b$-$a$-$c$ &Reflect north-southwest   &\textcolor{blue}{$ft$}  \\
%   $c$-$b$-$a$ &Reflect north-southeast   &\textcolor{OliveGreen}{$ft^2$}  \\
% \end{tabular}
  \multicolumn{1}{r}{\textit{Symmetry}}
   &\textit{Description} &\textit{Outside $\mapsto$ Inside}  &\textit{Name} \\ \hline
  \vcenteredhbox{\includegraphics{asy/group000.pdf}} 
     &Identity 
     &$\begin{maparray}
         a &b &c \\
         a &b &c   
       \end{maparray}$             
    &\textcolor{red}{$e$}  \\
  \vcenteredhbox{\includegraphics{asy/group001.pdf}} 
    &Turn 1/3 clockwise        
    &$\begin{maparray}
         a &b &c \\
         c &a &b   
       \end{maparray}$             
    &\textcolor{OliveGreen}{$t$}  \\
  \vcenteredhbox{\includegraphics{asy/group002.pdf}} 
    &Turn 2/3 clockwise        
    &$\begin{maparray}
         a &b &c \\
         b &c &a   
       \end{maparray}$             
    &\textcolor{OliveGreen}{$t^2$}  \\
  \vcenteredhbox{\includegraphics{asy/group003.pdf}} 
    &Reflect east-west         
    &$\begin{maparray}
         a &b &c \\
         a &c &b   
       \end{maparray}$             
    &\textcolor{blue}{$f$}  \\
  \vcenteredhbox{\includegraphics{asy/group005.pdf}} 
    &Reflect about bisector of angle $c$
    &$\begin{maparray}
         a &b &c \\
         b &a &c   
       \end{maparray}$             
    &\textcolor{blue}{$ft$}  \\
  \vcenteredhbox{\includegraphics{asy/group004.pdf}} 
    &Reflect about bisector of angle $b$   
    &$\begin{maparray}
         a &b &c \\
         c &b &a   
       \end{maparray}$             
    &\textcolor{blue}{$ft^2$}  \\
\end{tabular}
\end{center}
\end{frame}

\begin{frame}
In what sense is does the name $ft$ suit that map? 
Remember that with functions, $ft$ means to do $t$ first, then~$f$.
\begin{equation*}
ft=\begin{maparray}
  a &b &c  \\
  c &a &b  \\
  b &a &c
\end{maparray}
\qquad
ft^2=\begin{maparray}
  a &b &c  \\
  b &c &a  \\
  c &b &a
\end{maparray}
\end{equation*}

\pause\medskip
How can we prove that this list of six symmetries is exhaustive?
\end{frame}





\begin{frame}{Symmetries of the square}
\begin{center}
  \includegraphics{asy/group006.pdf}
\end{center}
\pause
\begin{center}   \def\arraystretch{2.5}
\begin{tabular}{c|l@{}c}
  \multicolumn{1}{r}{\textit{Map}}
   &\textit{Description} &\textit{Name} \\[-1ex] \hline
   $\begin{maparray}
         a &b &c &d \\
         a &b &c &d  
       \end{maparray}$             
  &Identity             &\textcolor{red}{$e$}  \\
   $\begin{maparray}
         a &b &c &d \\
         d &a &b &c  
       \end{maparray}$             
  &Turn 1/4 cw          &\textcolor{OliveGreen}{$t$}  \\
   $\begin{maparray}
         a &b &c &d \\
         c &d &a &b  
       \end{maparray}$             
  &Turn 1/2 cw          &\textcolor{OliveGreen}{$t^2$}  \\
   $\begin{maparray}
         a &b &c &d \\
         b &c &d &a  
       \end{maparray}$             
  &Turn 3/4 cw          &\textcolor{OliveGreen}{$t^3$}  \\
\end{tabular}\quad
\begin{tabular}{c|l@{}c}
  \multicolumn{1}{r}{\textit{Map}}
   &\textit{Description} &\textit{Name} \\[-1ex] \hline
   $\begin{maparray}
         a &b &c &d \\
         b &a &d &c  
       \end{maparray}$             
  &Flip left-right      &\textcolor{blue}{$f$}  \\
   $\begin{maparray}
         a &b &c &d \\
         c &b &a &d  
       \end{maparray}$             
  &Flip $a$-$c$ diag    &\textcolor{blue}{$ft$}  \\
   $\begin{maparray}
         a &b &c &d \\
         d &c &b &a  
       \end{maparray}$             
  &Flip up-down         &\textcolor{blue}{$ft^2$}  \\
   $\begin{maparray}
         a &b &c &d \\
         a &d &c &b  
       \end{maparray}$             
  &Flip $b$-$d$ diag    &\textcolor{blue}{$ft^3$}  \\
\end{tabular}
\end{center}
\end{frame}




\begin{frame}{Symmetries of the square, geometrically}
\begin{center}   \def\arraystretch{3.5}
\begin{tabular}{c|lc}
  \multicolumn{1}{r}{\textit{Out} $\mapsto$ \textit{In}}
   &\textit{Picture} &\textit{Name} \\[-2ex] \hline
   $\begin{maparray}
         a &b &c &d \\
         a &b &c &d  
       \end{maparray}$             
  &\vcenteredhbox{\includegraphics{asy/group006.pdf}}
  &\textcolor{red}{$e$}  \\
   $\begin{maparray}
         a &b &c &d \\
         d &a &b &c  
       \end{maparray}$             
  &\vcenteredhbox{\includegraphics{asy/group007.pdf}}          
  &\textcolor{OliveGreen}{$t$}  \\
   $\begin{maparray}
         a &b &c &d \\
         c &d &a &b  
       \end{maparray}$             
  &\vcenteredhbox{\includegraphics{asy/group008.pdf}}
  &\textcolor{OliveGreen}{$t^2$}  \\
   $\begin{maparray}
         a &b &c &d \\
         b &c &d &a  
       \end{maparray}$             
  &\vcenteredhbox{\includegraphics{asy/group009.pdf}}
  &\textcolor{OliveGreen}{$t^3$}  \\
\end{tabular}\quad
\begin{tabular}{c|lc}
  \multicolumn{1}{r}{\textit{Out} $\mapsto$ \textit{In}}
   &\textit{Picture} &\textit{Name} \\[-2ex] \hline
   $\begin{maparray}
         a &b &c &d \\
         b &a &d &c  
       \end{maparray}$             
  &\vcenteredhbox{\includegraphics{asy/group010.pdf}}
  &\textcolor{blue}{$f$}  \\
   $\begin{maparray}
         a &b &c &d \\
         c &b &a &d  
       \end{maparray}$             
  &\vcenteredhbox{\includegraphics{asy/group011.pdf}}
  &\textcolor{blue}{$ft$}  \\
   $\begin{maparray}
         a &b &c &d \\
         d &c &b &a  
       \end{maparray}$             
  &\vcenteredhbox{\includegraphics{asy/group012.pdf}} 
  &\textcolor{blue}{$ft^2$}  \\
   $\begin{maparray}
         a &b &c &d \\
         a &d &c &b  
       \end{maparray}$             
  &\vcenteredhbox{\includegraphics{asy/group013.pdf}} 
  &\textcolor{blue}{$ft^3$}  \\
\end{tabular}
\end{center}
\end{frame}


\begin{frame}
Here is the check that the final three are named correctly.
\begin{equation*}
  ft=
  \begin{maparray}
   a &b &c &d \\
   d &a &b &c \\
   c &b &a &d
  \end{maparray}
  \qquad
  ft^2=
  \begin{maparray}
   a &b &c &d \\
   c &d &a &b \\
   d &c &b &a
  \end{maparray}
  \qquad
  ft^3=
  \begin{maparray}
   a &b &c &d \\
   b &c &d &a \\
   a &d &c &b
  \end{maparray}
\end{equation*}

\pause
How can we prove that this list of eight symmetries is exhaustive?

\pause\medskip
We can do other composition calculations.
\begin{equation*}
ft^2\cdot t^3=
\begin{maparray}
  a &b &c &d \\
  d &a &b &c \\
  a &d &c &b
\end{maparray}=ft
\end{equation*}
\pause
We could have instead gotten that via
$ft^2\cdot t^3=ftt\cdot ttt=ft\cdot(tttt)=ft$.
Note the use of associativity\Dash that we can put the parentheses wherever
we want\Dash at the end.

\medskip
This is a kind of algebra. 
There are things, the symmetries. 
We combine those things with an operation, composition.
The operation follows certain rules, such as associativity.
\end{frame}


\begin{frame}{Operation table for symmetries of an equilateral triangle}

\pause
\begin{center}  \def\arraystretch{1.4}
\begin{tabular}{r|cccccc}
  \multicolumn{1}{c}{\ }
    &\textcolor{red}{$e$}
    &\textcolor{OliveGreen}{$t$}
    &\textcolor{OliveGreen}{$t^2$}
    &\textcolor{blue}{$f$}
    &\textcolor{blue}{$ft$}
    &\textcolor{blue}{$ft^2$}  \\  
  \cline{2-7}
  \textcolor{red}{$e$}
    &\textcolor{red}{$e$}
    &\textcolor{OliveGreen}{$t$}
    &\textcolor{OliveGreen}{$t^2$}
    &\textcolor{blue}{$f$}
    &\textcolor{blue}{$ft$}
    &\textcolor{blue}{$ft^2$} \rule{0em}{2.5ex}  \\
  \textcolor{OliveGreen}{$t$}
    &\textcolor{OliveGreen}{$t$}
    &\textcolor{OliveGreen}{$t^2$}
    &\textcolor{red}{$e$}
    &\textcolor{blue}{$ft^2$}
    &\textcolor{blue}{$f$}
    &\textcolor{blue}{$ft$}  \\
  \textcolor{OliveGreen}{$t^2$}
    &\textcolor{OliveGreen}{$t^2$}
    &\textcolor{red}{$e$}
    &\textcolor{OliveGreen}{$t$}
    &\textcolor{blue}{$ft$}
    &\textcolor{blue}{$ft^2$}
    &\textcolor{blue}{$f$}  \\
  \textcolor{blue}{$f$}
    &\textcolor{blue}{$f$}
    &\textcolor{blue}{$ft$}   
    &\textcolor{blue}{$ft^2$}   
    &\textcolor{red}{$e$}
    &\textcolor{OliveGreen}{$t$}
    &\textcolor{OliveGreen}{$t^2$}    \\
  \textcolor{blue}{$ft$}
    &\textcolor{blue}{$ft$}
    &\textcolor{blue}{$ft^2$}   
    &\textcolor{blue}{$f$}   
    &\textcolor{OliveGreen}{$t^2$}
    &\textcolor{red}{$e$}
    &\textcolor{OliveGreen}{$t$}    \\
  \textcolor{blue}{$ft^2$}
    &\textcolor{blue}{$ft^2$}
    &\textcolor{blue}{$f$}   
    &\textcolor{blue}{$ft$}   
    &\textcolor{OliveGreen}{$t$}
    &\textcolor{OliveGreen}{$t^2$}
    &\textcolor{red}{$e$}   \\
\end{tabular}
\end{center}
\medskip
To compute an entry in the table, take the row label~$r$ and compose it with
the column label~$c$, as $r\cdot c$.
An example is that $f\cdot ft=t$.

\pause\bigskip
Note the many patterns.
\pause
In particular, note that every row and column contains each element once and
only once, and that the table breaks into green and blue sections. 
\end{frame}




\begin{frame}{Composition table for the symmetries of the square}
\pause
\begin{center}  \def\arraystretch{1.4}
\begin{tabular}{r|cccccccc}
  \multicolumn{1}{c}{\ }
    &\textcolor{red}{$e$}
    &\textcolor{OliveGreen}{$t$}
    &\textcolor{OliveGreen}{$t^2$}
    &\textcolor{OliveGreen}{$t^3$}
    &\textcolor{blue}{$f$}
    &\textcolor{blue}{$ft$}
    &\textcolor{blue}{$ft^2$}  
    &\textcolor{blue}{$ft^3$}  \\  
  \cline{2-9}
  \textcolor{red}{$e$}
    &\textcolor{red}{$e$}
    &\textcolor{OliveGreen}{$t$}
    &\textcolor{OliveGreen}{$t^2$}
    &\textcolor{OliveGreen}{$t^3$}
    &\textcolor{blue}{$f$}
    &\textcolor{blue}{$ft$}
    &\textcolor{blue}{$ft^2$} 
    &\textcolor{blue}{$ft^3$}   \rule{0em}{2.5ex}  \\
  \textcolor{OliveGreen}{$t$}
    &\textcolor{OliveGreen}{$t$}
    &\textcolor{OliveGreen}{$t^2$}
    &\textcolor{OliveGreen}{$t^3$}
    &\textcolor{red}{$e$}
    &\textcolor{blue}{$ft^3$}
    &\textcolor{blue}{$f$}
    &\textcolor{blue}{$ft$}  
    &\textcolor{blue}{$ft^2$}    \\
  \textcolor{OliveGreen}{$t^2$}
    &\textcolor{OliveGreen}{$t^2$}
    &\textcolor{OliveGreen}{$t^3$}
    &\textcolor{red}{$e$}
    &\textcolor{OliveGreen}{$t$}
    &\textcolor{blue}{$ft^2$}
    &\textcolor{blue}{$ft^3$}
    &\textcolor{blue}{$f$}  
    &\textcolor{blue}{$ft$}    \\
  \textcolor{OliveGreen}{$t^3$}
    &\textcolor{OliveGreen}{$t^3$}
    &\textcolor{red}{$e$}
    &\textcolor{OliveGreen}{$t$}
    &\textcolor{OliveGreen}{$t^2$}
    &\textcolor{blue}{$ft$}
    &\textcolor{blue}{$ft^2$}
    &\textcolor{blue}{$ft^3$}  
    &\textcolor{blue}{$f$}    \\
  \textcolor{blue}{$f$}
    &\textcolor{blue}{$f$}
    &\textcolor{blue}{$ft$}   
    &\textcolor{blue}{$ft^2$}   
    &\textcolor{blue}{$ft^3$}   
    &\textcolor{red}{$e$}
    &\textcolor{OliveGreen}{$t$}
    &\textcolor{OliveGreen}{$t^2$}   
    &\textcolor{OliveGreen}{$t^3$}    \\
  \textcolor{blue}{$ft$}
    &\textcolor{blue}{$ft$}
    &\textcolor{blue}{$ft^2$}   
    &\textcolor{blue}{$ft^3$}   
    &\textcolor{blue}{$f$}   
    &\textcolor{OliveGreen}{$t^3$}
    &\textcolor{red}{$e$}
    &\textcolor{OliveGreen}{$t$}
    &\textcolor{OliveGreen}{$t^2$}    \\
  \textcolor{blue}{$ft^2$}
    &\textcolor{blue}{$ft^2$}
    &\textcolor{blue}{$ft^3$}
    &\textcolor{blue}{$f$}   
    &\textcolor{blue}{$ft$}   
    &\textcolor{OliveGreen}{$t^2$}
    &\textcolor{OliveGreen}{$t^3$}
    &\textcolor{red}{$e$}   
    &\textcolor{OliveGreen}{$t$} \\
  \textcolor{blue}{$ft^3$}
    &\textcolor{blue}{$ft^3$}
    &\textcolor{blue}{$f$}
    &\textcolor{blue}{$ft$}   
    &\textcolor{blue}{$ft^2$}   
    &\textcolor{OliveGreen}{$t$}
    &\textcolor{OliveGreen}{$t^2$}
    &\textcolor{OliveGreen}{$t^3$}
    &\textcolor{red}{$e$}    \\
\end{tabular}
\end{center}
\end{frame}

\begin{frame}{How do you figure?}
For the triangle you can use these relations.
\begin{equation*}
  f^n=f^{n\bmod 2} 
  \qquad
  t^n=t^{n\bmod 3} 
  \qquad
  tf=ft^2 
\end{equation*}
along with $t^0=f^0=e$.
For instance, 
\begin{equation*}
  ft^2\cdot ft^2
  =ft(tf)tt
  =ft(ft^2)tt
  =ftf(ttt)t
  =ftfet
  =f(ft^2)t 
  =(ff)(t^3)
  =e
\end{equation*}
Note how we use the relation $tf=ft^2$ to slide the $f$'s past the $t$'s.

\pause\medskip
The square has these relations.
\begin{equation*}
  t^n=t^{n\bmod 4} 
  \qquad
  f^n=f^{n\bmod 2} 
  \qquad
  tf=ft^3 
\end{equation*}
along with $t^0=f^0=e$.
Here is an example calculation.
\begin{equation*}
  ft^2\cdot ft^2
  =ft(tf)tt
  =ftft^3tt
  =ftft
  =fft^3t 
  =ee
  =e
\end{equation*}
\end{frame}




\begin{frame}
  \frametitle{Permutations of four letters}
In showing that there are eight symmetries of a square, 
we noted that there are twenty four permutations of four letters.
\onslide<2>{These are the permutations that are 
physically-achievable symmetries of a square.}
\begin{center} \small
\def\arraystretch{1.4}
\setlength\arraycolsep{2.5pt}\setlength\tabcolsep{5pt}%
\begin{tabular}{*{6}{c}}
  $\begin{maparray}
      a &b &c &d \\
      a &b &c &d \\
    \end{maparray}$
  &\onslide<1>{$\begin{maparray}
      a &b &c &d \\
      a &b &d &c \\
    \end{maparray}$}
  &\onslide<1>{$\begin{maparray}
      a &b &c &d \\
      a &c &b &d \\
    \end{maparray}$}
  &\onslide<1>{$\begin{maparray}
      a &b &c &d \\
      a &c &d &b \\
    \end{maparray}$}
  &\onslide<1>{$\begin{maparray}
      a &b &c &d \\
      a &d &b &c \\
    \end{maparray}$}
  &$\begin{maparray}
      a &b &c &d \\
      a &d &c &b \\
    \end{maparray}$
 \\[5ex]
  $\onslide<1>{\begin{maparray}
      a &b &c &d \\
      b &a &c &d \\
    \end{maparray}$}
  &$\begin{maparray}
      a &b &c &d \\
      b &a &d &c \\
    \end{maparray}$
  &\onslide<1>{$\begin{maparray}
      a &b &c &d \\
      b &c &a &d \\
    \end{maparray}$}
  &$\begin{maparray}
      a &b &c &d \\
      b &c &d &a \\
    \end{maparray}$
  &\onslide<1>{$\begin{maparray}
      a &b &c &d \\
      b &d &a &c \\
    \end{maparray}$}
  &\onslide<1>{$\begin{maparray}
      a &b &c &d \\
      b &d &c &a \\
    \end{maparray}$}
 \\[5ex]
  $\onslide<1>{\begin{maparray}
      a &b &c &d \\
      c &a &b &d \\
    \end{maparray}$}
  &\onslide<1>{$\begin{maparray}
      a &b &c &d \\
      c &a &d &b \\
    \end{maparray}$}
  &$\begin{maparray}
      a &b &c &d \\
      c &b &a &d \\
    \end{maparray}$
  &\onslide<1>{$\begin{maparray}
      a &b &c &d \\
      c &b &d &a \\
    \end{maparray}$}
  &$\begin{maparray}
      a &b &c &d \\
      c &d &a &b \\
    \end{maparray}$
  &\onslide<1>{$\begin{maparray}
      a &b &c &d \\
      c &d &b &a \\
    \end{maparray}$}
 \\[5ex]
  $\begin{maparray}
      a &b &c &d \\
      d &a &b &c \\
    \end{maparray}$
  &\onslide<1>{$\begin{maparray}
      a &b &c &d \\
      d &a &c &b \\
    \end{maparray}$}
  &\onslide<1>{$\begin{maparray}
      a &b &c &d \\
      d &b &a &d \\
    \end{maparray}$}
  &\onslide<1>{$\begin{maparray}
      a &b &c &d \\
      d &b &d &a \\
    \end{maparray}$}
  &\onslide<1>{$\begin{maparray}
      a &b &c &d \\
      d &c &a &b \\
    \end{maparray}$}
  &$\begin{maparray}
      a &b &c &d \\
      d &c &b &a \\
    \end{maparray}$
\end{tabular}
\end{center}
\only<2>{We form a group of operations on four letters 
  (in this case the symmetries) by taking a suitable 
  subset of all the permutations on four letters.}
\end{frame}


\section{Results}

\begin{frame}{Automorphism}
\begin{definition}
An \definend{automorphism} is a function with the same codomain as domain,
$\map{t}{S}{S}$.
A plane automorphism $\map{t}{\R^2}{\R^2}$ is \definend{distance-preserving}
or \definend{rigid}
if for all pairs of points the distance from $t(p_0)$ to~$t(p_1)$
equals the distance from $p_0$ to~$p_1$. 
\end{definition}

\begin{example}
A rotation of the plane such as $\map{t_{\pi/4}}{\R^2}{\R^2}$ is 
distance-preserving plane automorphism.
A shift of the plane such as $\map{t_{\binom{1}{2}}}{\R^2}{\R^2}$ is another.
Still another is a flip $\map{t_{y=x}}{\R^2}{\R^2}$ about the line $y=x$. 
\end{example}

\pause
\begin{definition}
A \definend{plane figure} $F$ is a set of points in the plane.
Two plane figures are \definend{congruent} $F_0\cong F_1$
if there is a distance-preserving automarphism of the plane such that
one figure is the image of the other.
A distance-preserving plane automorphism is a \definend{plane congruence}.
\end{definition}

\begin{definition}
A \definend{symmetry} of a plane figure is a plane congruence that 
maps a figure to itself.
\end{definition}
\end{frame}


\begin{frame}{The operation of composition}
\begin{lemma}
The identity function is a plane congurence.
The composition of two plane congruences is a plane congruence.
Composition is associative.
\end{lemma}

\pause
\begin{proof}
The identity function $\map{e}{\R^2}{\R^2}$ is 
an automorphism because its domain equals its codomain.
It is clearly distance-preserving so it is a plane congruence.

Let $\map{t_0,t_1}{\R^2}{\R^2}$ be plane congruences.
The codomain of $t_1$ matches the domain of 
$t_0$, so  
the compositions $\composed{t_1}{t_0}$ 
is defined, and maps $\R^2$ to~$\R^2$.
It is thus an automorphisms of the plane.

As to why the composition of distance-preserving functions is 
distance preserving, suppose the two $t_0,t_1$ are distance-preserving.
Then the distance from $\composed{t_1}{t_0}(p_0)=t_1(t_0(p_0))$
to $\composed{t_1}{t_0}(p_1)=t_1(t_0(p_1))$ equals the distance from
$t_0(p_0)$ to~$t_0(p_1)$ because $t_1$ is distance-preserving.
And, that distance equals the distance from $p_0$ to~$p_1$ because
$t_0$ is distance-preserving.  

Thus the composition $\composed{t_1}{t_0}$
is a plane congruence.

Finally, the composition of three plane congruences
$\map{t_0,t_1,t_2}{\R^2}{\R^2}$
is associative,
$\composed{t_0}{(\composed{t_1}{t_2})}=
  \composed{(\composed{t_0}{t_1})}{t_2}$, because any function composition 
is associative. 
\end{proof}
\end{frame}

\begin{frame}{Inverses}
\begin{lemma}
A plane congruence is a correspondence, that is, it is one-to-one and onto.
It is therefore invertible.
Its inverse is also distance-preserving.
Thus the inverse of a plane congruence is a plane congruence.
\end{lemma}
\pause
\begin{proof}
Let $\map{t}{\R^2}{\R^2}$ be distance-preserving.
It is one-to-one because distinct points have a non-zero distance between
them and so their images must be separate.
It is onto by triangulation:~any~$q\in\R^2$ is determined by
its distance from the three points $t(0,0)$, $t(1,0)$ and~$t(0,1)$.
But then $q=t(p)$ where $p$ is the same distance from
the three $(0,0)$, $(1,0)$, and~$(0,1)$.

A plane congruence is invertible because 
all functions that are both one-to-one and onto are invertible.

The inverse also preserves distance because the fact that the
distance between $p_0$ and~$p_1$ equals the distance between $t(p_0)$ 
and~$t(p_1)$, immediately gives that the distance between $t(p_0)$ and~$t(p_1)$
equals the distance between $p_0$ and~$p_1$.
\end{proof}
\end{frame}


\begin{frame}{Congruence partitions the collection of figures}
\begin{theorem}
Plane congruence is an equivalence: any figure is congruent to itself, 
if $F_0$ is congruent to~$F_1$ then $F_1$ is congruent to~$F_0$, and
if $F_0$ is congruent to~$F_1$ and $F_1$ is congruent to~$F_2$ then
$F_0$ is congruent to~$F_2$.
\end{theorem}

\pause
\begin{proof}
Every figure is congruent to itself under the identity map.
If $F_0$ is congruent to~$F_1$ via the function~$t$ then the inverse function
is a congruence from $F_1$ to~$F_0$.
Finally, if $F_0$ is congruent to~$F_1$ via~$t_0$, and 
$F_1$ is congruent to~$F_2$ via~$t_1$
\begin{equation*}
  F_0\overset{t_0}{\longrightarrow}F_1\overset{t_1}{\longrightarrow}F_2
\end{equation*}
then
$F_0$ is congruent to~$F_2$ via the composition $\composed{t_1}{t_0}$.
\end{proof}
\end{frame}


\begin{frame}{Geometry of plane congruences}
\begin{lemma}
If a plane congruence leaves the origin fixed then 
it preserves lengths and angles,
as well as dot products.
% dot products
% it is a linear 
% transformation.
\end{lemma}
\pause
\begin{proof}
Let $\map{t}{\R^2}{\R^2}$ be distance-preserving and leave the origin fixed,
so that $t(0,0)=(0,0)$.
Then $|p|=|t(p)|$ because the distance from the endpoint of 
$p$ to the origin equals the distance from the endpoint of $t(p)$ to 
$t(0,0)=(0,0)$.

For angles, apply the law of cosines to the distance
between $p$ and~$q$.
\begin{equation*}
  |p-q|^2
  =|p|^2+|q|^2-|p|\,|q|\cdot \cos\theta_1
\end{equation*}
and also to the distance beween $t(p)$ and $t(q)$.
\begin{equation*}
  |t(p)-t(q)|^2
  =|t(p)|^2+|t(q)|^2-|t(p)|\,|t(q)|\cdot \cos\theta_2
\end{equation*}
The first paragraph gives that $\cos\theta_1=\cos\theta_2$,
and so $\theta_1=\theta_2$.

With that, preservation of dot products is immediate.
\begin{equation*}
t(p)\dotprod t(q)=|t(p)|\,|t(q)|\cdot\cos\theta
=|p|\,|q|\cdot \cos\theta=p\dotprod q
\end{equation*}
\end{proof}

This result justifies the term `rigid' transformation.
\end{frame}


\begin{frame}{}
\begin{theorem}
If a plane congruence leaves the origin fixed then 
it is a linear 
transformation.
\end{theorem}
\pause
Let $\map{t}{\R^2}{\R^2}$ be distance-preserving and leave the origin fixed,
so that $t(0,0)=(0,0)$.
Imagine that
\begin{equation*}
  (1,0)\mapsto (a,c)
  \qquad
  (0,1)\mapsto (b,d)
\end{equation*}
and note that as a consequence $a^2+c^2=1$, $b^2+d^2=1$, and
$(a,c)\dotprod (b,d)=0$.
We claim that $t$ is this map.
\begin{equation*}
   P=(x,y)\mapsto Q=(ax+by,cx+dy)
\end{equation*}
We prove this by triangulation, by showing that $Q$ is the unique point
preserving distances:
(1)~the distance from 
$P$ to~$(0,0)$ equals the distance from $Q$ to~$(0,0)$,
(2)~the distance from 
$P$ to~$(1,0)$ equals the distance from $Q$ to~$(a,c)$,
and (3)~the distance from 
$P$ to~$(0,1)$ equals the distance from $Q$ to~$(b,d)$.
\end{frame}
\begin{frame}
The calculations are routine; 
we'll sketch the first.
Here is the distance from $Q$ to~$(0,0)$.
\begin{align*}
  \sqrt{(ax+by)^2+(cx+dy)^2}
   &=
  \sqrt{(a^2x^2+2abxy+b^2y^2)+(c^2x^2+2cdxy+d^2y^2)}  \\
  &=
  \sqrt{(a^2+c^2)x^2+(b^2+d^2)y^2+(2abxy+2cdxy)}  \\
  &=
  \sqrt{x^2+y^2+2xy(ab+cd)}  \\
  &=
  \sqrt{x^2+y^2}
\end{align*}
\end{frame}




% \begin{frame}{Orthogonality}
% \begin{theorem}
% A linear transformation $\map{t}{\R^2}{\R^2}$ is distance-preserving
% if and only if 
% $t(0,1)$ and $t(1,0)$ both have length~$1$ and are orthogonal.
% \end{theorem}
% \pause
% \begin{proof}
% The `only if' is immediate from prior results.

% For `if' it suffices to show that for all points $|p|=|t(p)|$
% since then $|t(p)-t(q)|=|t(p-q)|=|p-q|$. 
% Suppose that $t(1,0)=(a,b)$ and $t(0,1)=(c,d)$.
% The `if' assumption gives that $a^2+b^2=c^2+d^2=1$ and $ac+bd=0$.
% Then where $p=(x,y)$,
% \begin{align*}
%   |t(p)|^2 
%   &= (ax+cy)^2+(bx+dy)^2  \\
%   &= a^2x^2+2acxy+c^2y^2+b^2x^2+2bdxy+d^2y^2  \\
%   &= x^2(a^2+b^2)+y^2(c^2+d^2)+2xy(ac+bd)   \\
%   &=|p|^2
% \end{align*}
% as required.
% \end{proof}
% \end{frame}


\begin{frame}{Geometry of Orthonormal}
With $|t(p)|=|p|$ we can characterize the maps.
Put $t(1,0)$ somewhere on the unit circle,
at the point $(\cos\theta,\sin\theta)$.
With that, $t(0,1)$ is also on the unit circle, but orthogonal to the first.
\begin{equation*}
  \text{Rep}_{E_2,E_2}(t)=
  \begin{pmatrix}
    \cos\theta &-\sin\theta  \\
    \sin\theta &\cos\theta
  \end{pmatrix}
  \qquad
  \text{Rep}_{E_2,E_2}(t)=
  \begin{pmatrix}
    \cos\theta &\sin\theta  \\
    \sin\theta &-\cos\theta
  \end{pmatrix}
\end{equation*}
The first is a rotation of $\theta$ radians while the second is a reflection
about the line bisecting the angle between $(1,0)$ and~$t(1,0)$. 
\end{frame}



\begin{frame}{General symmetries of a plane}
The above results apply only to plane congrueences that leave the 
origin fixed.
In the general case a few more things can happen, so that there five types
instead of just the two, rotation and reflection.
But we need to move on.
\end{frame}

\end{document}




\begin{frame}{}
\end{frame}


\begin{frame}{}
\end{frame}


\begin{frame}{}
\end{frame}


\begin{frame}{}
\end{frame}


\begin{frame}{}
\end{frame}


\begin{frame}{}
\end{frame}


\begin{frame}{}
\end{frame}

\end{document}




